## Contents

- Static Properties & Enumerations
- Events

namespace solace.QueueBrowserEventName

An enumeration of queue browser event names. A solace.QueueBrowser will emit these events as part of its lifecycle. Applications, having created a QueueBrowser can choose to listen to all of the events described here, or any subset of these events. For Example:

        qb = solace.Session.createQueueBrowser(...);
        qb.on(solace.QueueBrowserEventName.CONNECT_FAILED_ERROR,
              function connectFailedErrorEventCb(error) {
                // details is an OperationError object
              });

## Static Properties & Enumerations Top

string | CONNECT_FAILED_ERROR = `QueueBrowserEventName_connectFailedError` |  |
string | DISPOSED = `QueueBrowserEventName_disposed` |  |
string | DOWN = `QueueBrowserEventName_down` |  |
string | DOWN_ERROR = `QueueBrowserEventName_downError` |  |
string | GM_DISABLED = `QueueBrowserEventName_GMDisabled` |  |
string | MESSAGE = `QueueBrowserEventName_message` |  |
string | UP = `QueueBrowserEventName_up` |  |

## Events Top

void | CONNECT_FAILED_ERROR ( solace.OperationError error ) |
void | DISPOSED ( ) |
void | DOWN ( ) |
void | DOWN_ERROR ( solace.OperationError error ) |
void | GM_DISABLED ( ) |
void | MESSAGE ( solace.Message message ) |
void | UP ( ) |

## Static Properties & Enumerations Detail Top

###
static public string CONNECT_FAILED_ERROR = `QueueBrowserEventName_connectFailedError`

###
static public string DISPOSED = `QueueBrowserEventName_disposed`

###
static public string DOWN = `QueueBrowserEventName_down`

###
static public string DOWN_ERROR = `QueueBrowserEventName_downError`

###
static public string GM_DISABLED = `QueueBrowserEventName_GMDisabled`

###
static public string MESSAGE = `QueueBrowserEventName_message`

###
static public string UP = `QueueBrowserEventName_up`

## Events Detail Top

###
public void CONNECT_FAILED_ERROR ( solace.OperationError error )

The queue browser attempted to connect but was unsuccessful. The queue browser is disabled.

#### Parameters

solace.OperationError | error Details of the error.

#### Return Value

void |

###
public void DISPOSED ( )

The queue browser is being disposed. No further events will be emitted.

#### Return Value

void |

###
public void DOWN ( )

The queue browser is successfully disconnected. The queue browser is disabled.

#### Return Value

void |

###
public void DOWN_ERROR ( solace.OperationError error )

The queue browser was established and then disconnected by the router, likely due to operator intervention. The queue browser is disabled.

#### Parameters

solace.OperationError | error Details of the error.

#### Return Value

void |

###
public void GM_DISABLED ( )

The queue browser will not connect because the current session is incompatible with Guaranteed Messaging. The queue browser is disabled until a compatible session is available.

#### Return Value

void |

###
public void MESSAGE ( solace.Message message )

A message was received on the queue browser.

If the application did not retain a reference to the message, it may be redelivered by calling solace.QueueBrowser#disconnect followed by solace.QueueBrowser#connect depending on the configuration of the queue.

When there is no listener for MESSAGE on a QueueBrowser, messages are queued internally until a listener is added.

#### Parameters

solace.Message | message The received message being delivered in this event.

#### Return Value

void |

###
public void UP ( )

The queue browser is established.

#### Return Value

void |